# Generate microdeposits for a financial address Generates microdeposits for a FinancialAddress in a Sandbox environment. ## Parameters - `id` (string, required) The id of the financial address to generate microdeposits for. ## Returns ## Response attributes - `object` (string, value is "financial_address_generated_microdeposits") String representing the object’s type. Objects of the same type share the same value of the object field. - `amounts` (array of objects) The amounts of the microdeposits that were generated. - `amounts.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `amounts.value` (integer) A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units). - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `status` (enum) The status of the request. Possible enum values: - `accepted` The microdeposits were successfully generated. ## Error Codes | HTTP status code | Code | Description | | ---------------- | ---------------------------- | --------------------------------------------------------------- | | 400 | storer_capability_missing | The required storer capabilities are missing. | | 400 | storer_capability_not_active | The required storer capabilities are not active. | | 400 | unsupported_currency | The currency is not supported for Financial Accounts. | | 404 | not_found | The resource wasn’t found. | | 409 | idempotency_error | An idempotent retry occurred with different request parameters. | ```curl curl -X POST https://api.stripe.com/v2/test_helpers/financial_addresses/finaddr_test_61O6nHqDsFuMtECYR16O0lef0dSQgZ0EhGyZsQCXQMls/generate_microdeposits \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-01-28.preview" ``` ### Response ```json { "object": "financial_address_generated_microdeposits", "amounts": [ { "value": 24, "currency": "usd" }, { "value": 46, "currency": "usd" } ], "status": "accepted", "livemode": true } ```